#### Description:

This function returns the geometric parameters describing the supplied Circle.

#### Synopsis

void astCirclePars( AstCircle ∗this, double ∗centre, double ∗radius, double ∗p1 )

#### Parameters:

##### this

Pointer to the Region.

##### centre

Pointer to an array in which to return the coordinates of the Circle centre. The length of this array should be no less than the number of axes in the associated coordinate system.

##### radius

Returned holding the radius of the Circle, as an geodesic distance in the associated coordinate system.

##### p1

Pointer to an array in which to return the coordinates of a point on the circumference of the Circle. The length of this array should be no less than the number of axes in the associated coordinate system. A NULL pointer can be supplied if the circumference position is not needed.

#### Notes:

- If the coordinate system represented by the Circle has been changed since it was first created, the returned parameters refer to the new (changed) coordinate system, rather than the original coordinate system. Note however that if the transformation from original to new coordinate system is non-linear, the shape represented by the supplied Circle object may not be an accurate circle.

Copyright (C) 2021 East Asian Observatory